%bcond_with themes

Name:    rofi-wayland
%global  base_ver 1.7.5
Version: %{base_ver}+wayland3
Release:    1%{?dist}
Summary: Fork of rofi with Wayland support

License: MIT
URL:     https://github.com/lbonn/rofi
Source0:  %{URL}/releases/download/%{version}/rofi-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: flex
BuildRequires: meson
BuildRequires: pkgconfig
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairo-xcb)
BuildRequires: pkgconfig(check) >= 0.11.0
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-scanner)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-aux)
BuildRequires: pkgconfig(xcb-cursor)
BuildRequires: pkgconfig(xcb-ewmh)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-randr)
BuildRequires: pkgconfig(xcb-xinerama)
BuildRequires: pkgconfig(xcb-xkb)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)

Provides:      bundled(libgwater)
Provides:      bundled(libnkutils)
Provides:      rofi = %{base_ver}
Conflicts:     rofi

%if %{with themes}
Requires:      %{name}-themes = %{version}-%{release}
%else
Requires:      (rofi-themes >= %{base_ver} with rofi-themes < 1.8)
%endif
Requires:      hicolor-icon-theme


%description
Rofi is a dmenu replacement. Rofi, like dmenu, will provide the user with a
textual list of options where one or more can be selected. This can either be,
running an application, selecting a window or options provided by an external
script.

This is a fork of Rofi with added support for Wayland via the layer shell
protocol, expected to work with wlroots-based compositors (Sway).

%if %{with themes}
%package        themes
Summary:        Themes for %{name}
BuildArch:      noarch
Conflicts:      rofi-themes

%description    themes
The %{name}-themes package contains themes for %{name}.
%endif

%prep
%autosetup -p1 -n rofi-%{version}


%build
%meson
%meson_build


%install
%meson_install
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/pkgconfig

%if %{without themes}
rm -rf %{buildroot}%{_datadir}/rofi
%endif


%check
%meson_test
desktop-file-validate %{buildroot}%{_datadir}/applications/rofi*.desktop


%files
%doc README.md
%license COPYING
%{_bindir}/rofi
%{_bindir}/rofi-sensible-terminal
%{_bindir}/rofi-theme-selector
%{_datadir}/applications/rofi.desktop
%{_datadir}/applications/rofi-theme-selector.desktop
%{_datadir}/icons/hicolor/scalable/apps/rofi.svg
%{_mandir}/man1/rofi*
%{_mandir}/man5/rofi*

%if %{with themes}
%files themes
%license COPYING
%{_datarootdir}/rofi
%endif


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.5+wayland3-1
- initial build
